MacOS User Computers
List all MacOS User Computers
List MacosUserComputer resources for the given application.
** Headers **
Authorization: Bearer <access_token>
** Scopes **
connectors.self:read-resource
GET
/
v1
/
resources
/
macos_user_computer
List all MacOS User Computers
curl --request GET \
--url https://api.vanta.com/v1/resources/macos_user_computer \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/resources/macos_user_computer"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/resources/macos_user_computer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resources": [
{
"displayName": "<string>",
"uniqueId": "<string>",
"externalUrl": "<string>",
"collectedTimestamp": "2023-11-07T05:31:56Z",
"osName": "<string>",
"osVersion": "<string>",
"hardwareUuid": "<string>",
"serialNumber": "<string>",
"applications": [
{
"name": "<string>",
"bundleId": "<string>",
"lastOpenedTimestamp": "2023-11-07T05:31:56Z"
}
],
"browserExtensions": [
{
"extensionId": "<string>",
"name": "<string>"
}
],
"drives": [
{
"name": "<string>",
"encrypted": true,
"filevaultEnabled": true,
"isBootVolume": true
}
],
"users": [
{
"username": "<string>",
"screenlockPolicies": [
{
"requiresPassword": true,
"screenSleepTimeoutMs": 123
}
],
"screenlockSettings": {
"requiresPassword": true,
"screenSleepTimeoutMs": 123
},
"lastLoginTimestamp": "2023-11-07T05:31:56Z"
}
],
"systemScreenlockPolicies": [
{
"requiresPassword": true,
"screenSleepTimeoutMs": 123
}
],
"isManaged": true,
"autoUpdatesEnabled": true,
"owner": "<string>",
"passwordPolicy": {
"minimumLengthRequirement": 123
},
"lastEnrolledTimestamp": "2023-11-07T05:31:56Z",
"isXProtectEnabled": true
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Vanta generated identifier for the given resource, and can be found on the developer console page. See the list of registered resources and their IDs on https://app.vanta.com/settings/developer-console/<app_id>?tab=resources
Response
200 - application/json
List of resources.
Show child attributes
Show child attributes
Related topics
Sync all MacOS User ComputersList all Windows User ComputersIntegrations in VantaList monitored computersWas this page helpful?
⌘I
List all MacOS User Computers
